Index: branches/1.3/gui/scripts/vtkglyphviewer.tcl
===================================================================
--- branches/1.3/gui/scripts/vtkglyphviewer.tcl	(revision 4828)
+++ branches/1.3/gui/scripts/vtkglyphviewer.tcl	(revision 4848)
@@ -2553,13 +2452,14 @@
         bottom "0.707107 0.707107 0 0"
     }
-    foreach name { -qw -qx -qy -qz } value $positions($side) {
+    foreach name { qw qx qy qz } value $positions($side) {
         set _view($name) $value
-    }
-    set q [ViewToQuaternion]
+    } 
+    set q [list $_view(qw) $_view(qx) $_view(qy) $_view(qz)]
     $_arcball quaternion $q
     SendCmd "camera orient $q"
     SendCmd "camera reset"
-    set _view(-xpan) 0
-    set _view(-ypan) 0
-    set _view(-zoom) 1.0
-}
+    set _view(xpan) 0
+    set _view(ypan) 0
+    set _view(zoom) 1.0
+}
+
